Skip to main content
PUT
/
v1
/
leads
/
statuses
/
{id}
Update a lead status
curl --request PUT \
  --url https://dev.flextell.ai/api/v1/leads/statuses/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Tenant: <x-tenant>' \
  --data '
{
  "name": "<string>",
  "color": "<string>",
  "sort_order": 1,
  "is_default": true,
  "is_terminal": true
}
'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "name": "<string>",
    "slug": "<string>",
    "color": "<string>",
    "sort_order": 123,
    "is_default": true,
    "is_terminal": true,
    "is_system": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The lead status identifier

Body

application/json
name
string

The name.

Maximum string length: 255
color
string | null

A hex color code (e.g. #94a3b8).

Maximum string length: 20
sort_order
integer | null

The sort direction (asc or desc).

Required range: x >= 0
is_default
boolean | null

Whether the record is the default.

is_terminal
boolean | null

Whether this is a terminal status.

Response

success
string
required
data
LeadStatusResource · object
required